diff --git a/src/libopensc/card-iasecc.c b/src/libopensc/card-iasecc.c
index b8f868d9c1..c1d310374c 100644
--- a/src/libopensc/card-iasecc.c
+++ b/src/libopensc/card-iasecc.c
@@ -915,9 +915,10 @@ iasecc_select_file(struct sc_card *card, const struct sc_path *path,
 	sc_log(ctx, "iasecc_select_file() path:%s", sc_print_path(path));
 
 	sc_print_cache(card);
-	if (path->type != SC_PATH_TYPE_DF_NAME
+	if ((!iasecc_is_cpx(card)) &&
+	    (path->type != SC_PATH_TYPE_DF_NAME
 			&& lpath.len >= 2
-			&& lpath.value[0] == 0x3F && lpath.value[1] == 0x00)   {
+			&& lpath.value[0] == 0x3F && lpath.value[1] == 0x00))   {
 		sc_log(ctx, "EF.ATR(aid:'%s')", card->ef_atr ? sc_dump_hex(card->ef_atr->aid.value, card->ef_atr->aid.len) : "");
 
 		rv = iasecc_select_mf(card, file_out);
